Get request activity
curl --request GET \
--url https://app.simpledocs.com/api/v1/requests/{id}/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/requests/{id}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/requests/{id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"type": "activity_log",
"attributes": {
"action": "status_change",
"description": "Status changed to initial_review",
"comment": "<string>",
"additional_data": {},
"created_at": "2023-11-07T05:31:56Z"
}
}
]
}
Requests
Get request activity
Returns the activity log for a legal request, including status changes, comments, and other events.
Get request activity
curl --request GET \
--url https://app.simpledocs.com/api/v1/requests/{id}/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/requests/{id}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/requests/{id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"type": "activity_log",
"attributes": {
"action": "status_change",
"description": "Status changed to initial_review",
"comment": "<string>",
"additional_data": {},
"created_at": "2023-11-07T05:31:56Z"
}
}
]
}
Authorizations
Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.
Path Parameters
The resource's hash ID.
Example:
"0dbhXg"
Response
The activity log for the request.
Show child attributes
Show child attributes